Represents an Option/Optional/Maybe/Either type

### Type parameters

- #### T

### Hierarchy

- Option

## Index

### Properties

- value

### Methods

- filter
- flatMap
- get
- isPresent
- map
- orElse
- orLazyElse

## Properties

### value

value: T

- Defined in masala-parser.d.ts:16

The inner value wrapped by the Option

## Methods

### filter

- filter(f: function): T | Option<T>

- - Defined in masala-parser.d.ts:36

  #### Parameters

  - ##### f: function

    - - (value: T): boolean

      - #### Parameters

        - ##### value: T

        #### Returns boolean

  #### Returns T | Option<T>

### flatMap

- flatMap<Y>(bindCall: function): Option<Y>

- - Defined in masala-parser.d.ts:34

  The flatmap mapper must returns an option

  #### Type parameters

  - #### Y

  #### Parameters

  - ##### bindCall: function

    - - (y: Y): Option<Y>

      - #### Parameters

        - ##### y: Y

        #### Returns Option<Y>

### get

- get(): T

- - Defined in masala-parser.d.ts:41

  Returns the inner value when present.

  #### Returns T

### isPresent

- isPresent(): boolean

- - Defined in masala-parser.d.ts:22

  Returns true if value is present

  #### Returns boolean

### map

- map<Y>(mapper: function): Option<Y>

- - Defined in masala-parser.d.ts:28

  Transform the result

  #### Type parameters

  - #### Y

  #### Parameters

  - ##### mapper: function

    : the map function

    - - (t: T): Y

      - #### Parameters

        - ##### t: T

        #### Returns Y

  #### Returns Option<Y>

### orElse

- orElse<Y>(value: Y): T | Y

- - Defined in masala-parser.d.ts:47

  Returns the inner value or another one

  #### Type parameters

  - #### Y

  #### Parameters

  - ##### value: Y

  #### Returns T | Y

### orLazyElse

- orLazyElse<Y>(provider: function): T | Y

- - Defined in masala-parser.d.ts:54

  Accepts a provider function called with no params. Will return the inner value when present, or call the provider.

  #### Type parameters

  - #### Y

  #### Parameters

  - ##### provider: function

    - - (): Y

      - #### Returns Y

  #### Returns T | Y

Generated using TypeDoc